Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Class AjaxBehaviorEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              javax.faces.event.BehaviorEvent
                  javax.faces.event.AjaxBehaviorEvent

All Implemented Interfaces:
  java.io.Serializable

    public class AjaxBehaviorEvent

extends BehaviorEvent

AjaxBehaviorEvent represents the component behavior specific to `Ajax`).

Since:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AjaxBehaviorEvent(UIComponent component, Behavior behavior)` Construct a new event object from the specified source component and Ajax behavior.

Method Summary
`boolean` | `isAppropriateListener(FacesListener listener)` Return `true` if this `FacesListener` is an instance of a the appropriate listener class that this event supports.
`void` | `processListener(FacesListener listener)` Broadcast this event instance to the specified `FacesListener`, by whatever mechanism is appropriate.

Methods inherited from class javax.faces.event.BehaviorEvent
`getBehavior`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AjaxBehaviorEvent

    public AjaxBehaviorEvent(UIComponent component,
                             Behavior behavior)

  Construct a new event object from the specified source component and Ajax behavior.

  Parameters:
    `component` - Source `UIComponent` for this event
    `behavior` - `Behavior` for this event
  Throws:
    `java.lang.IllegalArgumentException` - if `component` or `ajaxBehavior` is `null`
  Since:
    2.0

Method Detail

### isAppropriateListener

    public boolean isAppropriateListener(FacesListener listener)

  Return `true` if this `FacesListener` is an instance of a the appropriate listener class that this event supports.

  Specified by:
    `isAppropriateListener` in class `FacesEvent`
  Parameters:
    `listener` - `FacesListener` to evaluate
  Since:
    2.0

### processListener

    public void processListener(FacesListener listener)

  Broadcast this event instance to the specified `FacesListener`, by whatever mechanism is appropriate. Typically, this will be accomplished by calling an event processing method, and passing this instance as a parameter.

  Specified by:
    `processListener` in class `FacesEvent`
  Parameters:
    `listener` - `FacesListener` to invoke
  Throws:
    `AbortProcessingException` - Signal the JavaServer Faces implementation that no further processing on the current event should be performed
  Since:
    2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.